FLAC__EntropyCodingMethod_PartitionedRiceContents Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes

uint32_t * | parameters
uint32_t * | raw_bits
uint32_t | capacity_by_order

## Detailed Description

Contents of a Rice partitioned residual

## Member Data Documentation

## parameters

uint32_t* FLAC__EntropyCodingMethod_PartitionedRiceContents::parameters

The Rice parameters for each context.

## raw_bits

uint32_t* FLAC__EntropyCodingMethod_PartitionedRiceContents::raw_bits

Widths for escape-coded partitions. Will be non-zero for escaped partitions and zero for unescaped partitions.

## capacity_by_order

uint32_t FLAC__EntropyCodingMethod_PartitionedRiceContents::capacity_by_order

The capacity of the parameters and raw_bits arrays specified as an order, i.e. the number of array elements allocated is 2 ^ capacity_by_order.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |